---
title: MessageEvent.data
slug: Web/API/MessageEvent/data
tags:
  - API
  - DOM
  - MessageEvent
  - Property
  - Reference
  - data
  - messaging
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <strong><code>data</code></strong> read-only property of the {{domxref("MessageEvent")}} interface represents the data sent by the message emitter.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var data = messageEvent.data;</pre>

<h3 id="Value">Value</h3>

<p>The data sent by the message emitter; this can be any data type.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">myWorker.onmessage = function(e) {
  result.textContent = e.data;
  console.log('Message received from worker');
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-messageevent-data", "MessageEvent: data")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MessageEvent.data")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("ExtendableMessageEvent")}} — similar to this interface but used in interfaces that needs to give more flexibility to authors.</li>
</ul>
